Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1365598

Summary: [abrt] synergy: Client::sendClipboard(): synergyc killed by SIGABRT
Product: [Fedora] Fedora Reporter: Mikhail <mikhail.v.gavrilov>
Component: synergyAssignee: Christian Krause <chkr>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 24CC: chkr, kupo
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/c2b3af084ba9db9e347ebda2bc22a8a0b6134741
Whiteboard: abrt_hash:64c5052ed982462ca1694144cefb7a8d9af89204;VARIANT_ID=workstation;
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-08-08 16:22:09 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
File: backtrace
none
File: cgroup
none
File: core_backtrace
none
File: dso_list
none
File: environ
none
File: limits
none
File: maps
none
File: mountinfo
none
File: namespaces
none
File: open_fds
none
File: proc_pid_status
none
File: var_log_messages none

Description Mikhail 2016-08-09 16:09:15 UTC
Version-Release number of selected component:
synergy-1.7.6-1.fc24

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/bin/synergyc -f --no-tray --debug INFO --name stick 192.168.1.86:24800
crash_function: Client::sendClipboard
executable:     /usr/bin/synergyc
global_pid:     2303
kernel:         4.6.5-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #4 Client::sendClipboard at /usr/src/debug/synergy-1.7.6-stable/src/lib/client/Client.cpp:419
 #5 Client::sendClipboardThread at /usr/src/debug/synergy-1.7.6-stable/src/lib/client/Client.cpp:813
 #6 Thread::threadFunc at /usr/src/debug/synergy-1.7.6-stable/src/lib/mt/Thread.cpp:157
 #7 ArchMultithreadPosix::doThreadFunc at /usr/src/debug/synergy-1.7.6-stable/src/lib/arch/unix/ArchMultithreadPosix.cpp:726
 #8 ArchMultithreadPosix::threadFunc at /usr/src/debug/synergy-1.7.6-stable/src/lib/arch/unix/ArchMultithreadPosix.cpp:707

Comment 1 Mikhail 2016-08-09 16:09:22 UTC
Created attachment 1189341 [details]
File: backtrace

Comment 2 Mikhail 2016-08-09 16:09:23 UTC
Created attachment 1189342 [details]
File: cgroup

Comment 3 Mikhail 2016-08-09 16:09:25 UTC
Created attachment 1189343 [details]
File: core_backtrace

Comment 4 Mikhail 2016-08-09 16:09:27 UTC
Created attachment 1189344 [details]
File: dso_list

Comment 5 Mikhail 2016-08-09 16:09:29 UTC
Created attachment 1189345 [details]
File: environ

Comment 6 Mikhail 2016-08-09 16:09:31 UTC
Created attachment 1189346 [details]
File: limits

Comment 7 Mikhail 2016-08-09 16:09:33 UTC
Created attachment 1189347 [details]
File: maps

Comment 8 Mikhail 2016-08-09 16:09:35 UTC
Created attachment 1189348 [details]
File: mountinfo

Comment 9 Mikhail 2016-08-09 16:09:36 UTC
Created attachment 1189349 [details]
File: namespaces

Comment 10 Mikhail 2016-08-09 16:09:38 UTC
Created attachment 1189350 [details]
File: open_fds

Comment 11 Mikhail 2016-08-09 16:09:40 UTC
Created attachment 1189351 [details]
File: proc_pid_status

Comment 12 Mikhail 2016-08-09 16:09:41 UTC
Created attachment 1189352 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2017-07-25 22:19:49 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2017-08-08 16:22:09 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.